# $Revision: 1.79 $, $Date: 2006/09/08 14:57:22 $
%include	/usr/lib/rpm/macros.perl
Summary:	Network Time Protocol utilities
Summary(pl):	Narzdzia do synchronizacji czasu (Network Time Protocol)
Summary(pt_BR):	Network Time Protocol verso 4
Name:		ntp
Version:	4.2.0
Release:	19
License:	distributable
Group:		Daemons
Source0:	ftp://ftp.udel.edu/pub/ntp/ntp4/%{name}-%{version}.tar.gz
# Source0-md5:	0f8fabe87cf54f409b57c6283f0c0c3d
Source1:	%{name}.conf
Source2:	%{name}.keys
Source3:	%{name}.init
Source4:	%{name}.sysconfig
Source5:	%{name}-client.init
Source6:	%{name}-client.sysconfig
Source7:	%{name}-manpages.tar.gz
# Source7-md5:	208fcc9019e19ab26d28e4597290bffb
Patch0:		%{name}-time.patch
Patch1:		%{name}-no_libelf.patch
Patch2:		%{name}-ipv6.patch
Patch3:		%{name}-openssl_check.patch
Patch4:		%{name}-gcc4.patch
URL:		http://www.ntp.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.0.10
Obsoletes:	xntp3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ntp
%define		_bindir		%{_sbindir}

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source. The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
ntp package includes ntpd (a daemon which continuously adjusts system
time), while ntp-client package contains ntpdate (a program for
retrieving the date and time from remote machines via a network).

%description -l pl
Network Time Protocol (NTP) suy do synchronizacji czasu komputera z
innym, wzorcowym rdem czasu. Pakiet ntp zawiera narzdzia i demony
suce do dokadnego synchronizowania czasu komputera wedug czasu
uniwersalnego (UTC) poprzez protok NTP z serwerami NTP. Pakiet ntp
zawiera ntpd (demona, ktry w sposb cigy aktualizuje czas
systemowy), natomiast pakiet ntp-client zawiera program ntpdate
(program do odczytywania daty i czasu z innych maszyn po sieci).

%description -l pt_BR
Esta  a verso 4 do Network Time Protocol (NTP). Este protocolo 
utilizado para sincronizar o relgio do computador com uma outra
referncia de horrio. Este pacote contm utilitrios e servidores que
sincronizaro o relgio do seu computador com o horrio universal
(UTC) atravs do protocolo NTP e utilizando servidores NTP pblicos.

Instale o pacote ntp se voc necessitar de ferramentas para manter o
relgio do seu computador constantemente atualizado.

Este pacote obsoleta o antigo xntp3.

%package ntptrace
Summary:	Trace a chain of NTP servers back to the primary source
Group:		Applications/Networking
Requires:	ntp = %{version}-%{release}

%description ntptrace
ntptrace determines where a given Network Time Protocol (NTP) server
gets its time from, and follows the chain of NTP servers back to their
master time source.

%package doc-html
Summary:	HTML documentation for ntp
Summary(pl):	Dokumentacja HTML dla ntp
Summary(pt_BR):	Documentao adicional para o pacote ntp
Group:		Documentation

%description doc-html
HTML documentation for ntp.

%description doc-html -l pl
Dokumentacja do ntp w HTML.

%description doc-html -l pt_BR
Este pacote contm documentao adicional sobre o NTP verso 4.

%package client
Summary:	Network Time Protocol client
Summary(pl):	Klient do synchronizacji czasu po NTP (Network Time Protocol)
Group:		Applications/Networking
Conflicts:	ntp < 4.2.0-3

%description client
Network Time Protocol client.

%description doc-html -l pl
Klient do synchronizacji czasu po NTP (Network Time Protocol).

%prep
%setup -q -a7
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig,cron.hourly},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/ntp.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/keys
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntpd
install %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntp
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/ntpd
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/ntp
install man/*.1  $RPM_BUILD_ROOT%{_mandir}/man1

cat > $RPM_BUILD_ROOT/etc/cron.hourly/ntp <<'EOF'
#!/bin/sh
/sbin/service ntp cronsettime
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ntpd
%service ntpd restart "ntpd daemon"

%preun
if [ "$1" = "0" ]; then
	%service ntpd stop
	/sbin/chkconfig --del ntpd
	rm -f /etc/ntp/drift
fi

%post client
/sbin/chkconfig --add ntp
%service ntp restart

%preun client
if [ "$1" = "0" ]; then
	%service ntp stop
	/sbin/chkconfig --del ntp
fi

%files
%defattr(644,root,root,755)
%doc NEWS TODO WHERE-TO-START conf/*.conf COPYRIGHT
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/ntpd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ntpd
%{_mandir}/man1/*
%exclude %{_mandir}/man1/ntpdate*
%exclude %{_mandir}/man1/ntptrace*
%exclude %{_sbindir}/ntpdate
%exclude %{_sbindir}/ntptrace

%files ntptrace
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ntptrace
%{_mandir}/man1/ntptrace*

%files doc-html
%defattr(644,root,root,755)
%doc html/*

%files client
%defattr(644,root,root,755)
%doc COPYRIGHT
%attr(755,root,root) %{_sbindir}/ntpdate
%attr(754,root,root) /etc/rc.d/init.d/ntp
%attr(754,root,root) /etc/cron.hourly/ntp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ntp
%{_mandir}/man1/ntpdate*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ntp.spec,v $
Revision 1.79  2006/09/08 14:57:22  glen
- ntptrace requires ntpq (thx Kacper Kornet); rel 19

Revision 1.78  2006/09/04 15:16:45  glen
- leave trace of service status in lock/subsys about ntp service; rel 18

Revision 1.77  2006/08/31 22:41:39  glen
- rel 17

Revision 1.76  2006/08/31 22:39:57  glen
- add manpages (tarball taken from FC5/ntp-4.2.0.a.20050816-11.src.rpm)

Revision 1.75  2006/08/31 21:49:06  glen
- add perl autodeps, ntptrace subpackaged
- adjusted Groups
- rel 16

Revision 1.74  2006/08/09 06:58:10  arekm
- rel 15

Revision 1.73  2006/05/21 17:39:48  glen
- rel 14

Revision 1.72  2006/03/26 11:23:34  megabajt
- added gcc4.patch
- rel. 13

Revision 1.71  2006/03/06 18:16:42  glen
- use %service, adapterized, cosmetics

Revision 1.70  2005/12/04 01:41:32  glen
- rel 12

Revision 1.69  2005/12/04 01:02:46  glen
- rc-scripts for --fork
- adapterize

Revision 1.68  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.67  2005/06/08 18:34:34  jajcus
- Release: 10
- added the important COPYRIGHT file to %doc

Revision 1.66  2004/11/19 21:46:14  qboosh
- BR: ac,lt

Revision 1.65  2004/11/19 21:16:46  jajcus
- Release: 8
- BR: openssl-devel
- configure check for openssl libraries fixed so openssl is properly detected
  and autokey stuff (including ntp-keygen) built.

Revision 1.64  2004/11/19 17:06:01  pluto
- better fix for drift file.

Revision 1.63  2004/11/19 16:54:25  pluto
- %ghost /etc/ntp/drift

Revision 1.62  2004/08/31 09:22:38  krzak
- use unprivileged port by default so running ntpd && ntpclient at the
  same time will work (ntp-client.sysconfig file)
- rel. 8

Revision 1.61  2004/07/01 11:29:29  qboosh
- desc fixes

Revision 1.60  2004/05/31 17:16:07  arekm
- hourly

Revision 1.59  2004/05/31 17:12:28  arekm
- rel 6; run ntpdate also from cron

Revision 1.58  2004/05/16 22:45:19  arekm
- rel 6; fix problems with v4 only hosts (IPV6_V6ONLY)

Revision 1.57  2004/03/11 02:12:55  arekm
- client subpackage conflicts with ntp < 4.2.0-3

Revision 1.56  2004/03/11 01:59:26  arekm
- fix attr in client

Revision 1.55  2004/03/06 10:11:18  zagrodzki
- modified default conf file
- rel 4

Revision 1.54  2004/03/05 12:03:16  qboosh
- fixed new files bug, added noreplace to sysconfig files

Revision 1.53  2004/03/05 11:49:46  krzak
- client subpackage with ntpdata. It may be installed and run without ntpd.
- rel 3

Revision 1.52  2004/01/08 19:46:58  jajcus
- Release: 2
- refresh config.sub (for AMD64)

Revision 1.51  2003/10/26 13:58:58  arekm
- updated to 4.2.0

Revision 1.50  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.49  2003/07/29 20:53:58  grzegol
- updated to 4.1.2
- cosmetics

Revision 1.48  2003/07/23 03:50:53  undefine
- pt_BR translation

Revision 1.47  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.46  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.45  2003/05/25 05:51:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2003/05/25 01:24:10  adgor
- Source0-md5

Revision 1.43  2003/05/16 14:41:18  djrzulf
- added missed file about configuration - according to bug #663,
- Release 3,

Revision 1.42  2002/12/13 22:46:56  ankry
- adapterized

Revision 1.41  2002/11/21 11:06:37  ankry
- another way to avoid unnecessary libelf linking (patch instead of BC)
- release 2

Revision 1.40  2002/10/26 18:03:24  zagrodzki
- updated to 4.1.1a
- STBR

Revision 1.39  2002/10/07 14:09:25  qboosh
- new %doc, more specific Requires

Revision 1.38  2002/05/22 09:17:43  yaro
- added obsoletes xntp3

Revision 1.37  2002/05/21 23:14:15  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/02/19 12:19:42  kloczek
- release 5.

Revision 1.33  2002/02/18 21:24:51  gotar
- %desc

Revision 1.32  2002/01/18 02:14:05  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/12/01 11:47:44  mkochano
- Release 4.
- Small correction in polish %description.

Revision 1.30  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.29  2001/10/11 13:38:56  qboosh
- added missing pl summary

Revision 1.28  2001/09/25 09:41:33  qboosh
- release 3: Prereq: /sbin/chkconfig

Revision 1.27  2001/08/18 21:41:56  kloczek
- release 2: added ntpdate(8) and ntpd(8) man pages from Debian.

Revision 1.26  2001/08/15 13:57:27  areq
- update to 4.1.0, STBR
- remove: overflow.patch, typos.patch, usegethost.patch, vsnprintf.patch, tmp.patch

Revision 1.25  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/05/29 10:59:20  zagrodzki
- updated init (source ntp configuration too)

Revision 1.22  2001/05/10 14:51:49  zagrodzki
- release 14
- updated sysconfig, init and conf

Revision 1.21  2001/04/13 04:08:31  kloczek
- added BuildConflicts for libelf.

Revision 1.20  2001/04/13 03:12:36  kloczek
- release 13,
- added libelf-devel and readline-devel to BuildRequires,
- rebuild against readline 4.2.

Revision 1.19  2001/04/10 09:19:58  kloczek
- release 12,
- merge usegethost, typos, vsnprintf patches from rawhide and tmp patch from MDK.

Revision 1.18  2001/04/10 08:48:40  zagrodzki
- improved ntp-overflow.patch :)

Revision 1.17  2001/04/06 07:10:44  misiek
- added URL:

Revision 1.16  2001/04/05 06:46:59  misiek
- release 7; added security fix for recently found overflow; stb

Revision 1.15  2001/04/02 09:36:51  zagrodzki
- added defattr for ntp-doc-html
- release 6

Revision 1.14  2001/03/31 17:25:41  bonkey
- added --program-transform-name="" to avoid "%arch-pld-linux" prefix in binaries
- release 5

Revision 1.13  2001/03/31 16:41:04  zagrodzki
- time.h patch

Revision 1.12  2001/03/31 12:48:32  misiek
- %{__autoconf} changes

Revision 1.11  2001/03/31 12:05:03  zagrodzki
- more iprovements in ntp.init
- release 4

Revision 1.10  2001/03/27 19:39:47  zagrodzki
- fixed ntp.init
- release 3

Revision 1.9  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.8  2000/12/14 09:43:20  jajcus
- Release: 2

Revision 1.7  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.6  2000/09/11 09:25:01  dobrek
- Added new package named ntp-doc-html.
- The name is preaty selfexplanatory.

Revision 1.5  2000/08/26 21:29:38  kloczek
- back to use ./configure instead %configure macro (in ntp is used autoconf
  script basing on abilities autoconf 2.14) - this is temporary woraround
  because this requre rework %configure macro in oure dist rpm.

Revision 1.4  2000/08/26 16:18:19  kloczek
- spec adaperized,
- added Requires: rc-scripts,
- added using %configure macro,
- standarized %post/postpreun,
- check in %post/posun /var/lock/subsys/ntp (not /var/lock/subsystem/ntp).
- new %description (borowed from RH).

Revision 1.3  2000/08/26 15:57:16  serek
- upgrade to the newest version

Revision 1.2  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.1  2000/06/03 19:24:13  kloczek
- changed name xntp3 to ntp.

Revision 1.11  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.9  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).
